# -*- mode: rpm-spec; mode: folding -*-
# vim: set ft=spec:
# vim600: set fdm=marker:
# $Id: design-bootsplash-Master,v 1.2.2.1 2004/08/13 13:46:00 me Exp $

%define theme Master

Name: design-bootsplash-%theme
Version: 2.4
Release: alt4

Summary: Theme for splash animations during bootup
Summary(ru_RU.KOI8-R):      
License: Distributable
Group: Graphics

BuildPreReq: gfxboot design-bootloader-%theme >= %version
Provides: design-bootsplash

# Theme file
Source0: %name-%version.tar.bz2

%description
This package contains graphics for boot process
(needs console splash screen enabled)

%prep
%setup -q

%install
# create directory structure
mkdir -p %buildroot/%_datadir/splash/themes/%theme/
cp -a *	%buildroot%_datadir/splash/themes/%theme/

subst "s/<theme>/%theme/" %buildroot%_datadir/splash/themes/%theme/config/*.cfg

# create current bootloader themes
cd %_datadir/gfxboot/%theme/
mkdir -p %buildroot/boot/splash/%theme
%_sbindir/mkbootmsg -c %theme.config %buildroot/boot/splash/%theme/message

%post
%__ln_s -nf %theme /usr/share/splash/themes/current
%__ln_s -nf %theme/message /boot/splash/message

%preun
[ $1 = 0 ] || exit 0
[ "`readlink /usr/share/splash/themes/current`" != %theme ] ||
    %__rm -f /usr/share/splash/themes/current

[ "`readlink /boot/splash/message`" != %theme/message ] ||
    %__rm -f /boot/splash/message

%files
%_datadir/splash/themes/%theme
/boot/splash/%theme/message

%changelog
* Tue Sep 07 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.4-alt4
- color fix for Master 2.4 release

* Fri Aug 13 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.4-alt3
- gfx updated

* Mon Jun 21 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.4-alt2
- another gfx update

* Tue Jun 15 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.4-alt1
- updated gfx for Master 2.4

* Tue Oct 14 2003 Rider <rider@altlinux.ru> 2.2.9-alt2
- rebuild with new design-bootloader

* Fri Sep 12 2003 Rider <rider@altlinux.ru> 2.2.9-alt1
- build with new design-bootloader

* Tue Jul 29 2003 Rider <rider@altlinux.ru> 2.2.2-alt3
- fix path to theme
- update images from ALT Linux Design

* Mon Jul 21 2003 Rider <rider@altlinux.ru> 2.2.2-alt2
- fix splashscreen images bugs

* Mon Jul 21 2003 Rider <rider@altlinux.ru> 2.2.2-alt1
- design update 

* Thu Jul 17 2003 Rider <rider@altlinux.ru> 2.2.1-alt1
- first build


